mapMod = ...

mapMod:register({
    DataType = "BUILDING_FUNCTION_WORKPLACE",
            Id = MOD_NS .. "_GATHER_HERBS_FUNCTION",
            Name = "GATHER_HERBS_NAME",
            WorkerCapacity = 2,
            RelatedJob = { Job = "GATHERER", Behavior = "BEHAVIOR_GATHER" },
            ResourceListNeeded = {
                { Resource = "HERBS", Quantity = 1 }
            },
            ResourceProduced = {
                { Resource = "HERBS", Quantity = 1 }
            }
})

mapMod:override({
    Id = "BUILDING_FUNCTION_GATHERING_HUT",
    Name = "GATHER_BERRIES_NAME"
})

mapMod:register({
    DataType = "BUILDING_FUNCTION_LIST",
    Id = MOD_NS .. "BUILDING_FUNCTION_LIST_GATHERING_CAMP",
    AssetFunctionList = {
        "BUILDING_FUNCTION_GATHERING_HUT",
        MOD_NS .. "_GATHER_HERBS_FUNCTION",
    }
})

mapMod:register({
    DataType = "BUILDING_FUNCTION_ASSIGNABLE",
    Id = MOD_NS .. "FUNCTION_EXTENDED_GATHERING_CAMP",
    AuthorizedFunctionList = MOD_NS .. "BUILDING_FUNCTION_LIST_GATHERING_CAMP"
})

mapMod:override({
	DataType = "BUILDING_PART",
    Id = "BUILDING_PART_GATHERING_CAMP",
    AssetBuildingFunction = MOD_NS .. "FUNCTION_EXTENDED_GATHERING_CAMP",
})
